<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
    <head>
        <title>Virtual Teacher</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </head>
    <body>
        <nav class="navbar navbar-expand navbar-light bg-light">
            <div class="col-sm-8">
                <a class="navbar-brand" th:href="@{/home}">Virtual Teacher</a>
                <a class="navbar-brand" sec:authorize="hasRole('ADMIN')" th:href="@{/users}">Users</a>
            </div>
            <div class="col-sm-4" sec:authorize="isAuthenticated()">
                <div class="row float-right">
                    <a class="navbar-brand" th:href="@{'/users/' + ${user.id}}">Profile</a>
                    <form th:action="@{/logout}" method="post">
                        <input class="btn btn-primary" type="submit" value="Logout" />
                    </form>
                </div>
            </div>
        </nav>
        <div class="container">
            <div class="row mt-3" sec:authorize="isAuthenticated()">
                <div class="col-sm-3">
                    <div th:switch="${user.picture != null}">
                        <img th:case="${true}" th:src="${user.picture}" class="mt-3 rounded-circle img-fluid" style="max-height: 300px;">
                        <img th:case="${false}" src="https://fakeimg.pl/300/" class="mt-3 rounded-circle img-fluid" style="max-height: 300px;">
                    </div>
                    <p sec:authorize="hasRole('USER')">Student</p>
                    <p sec:authorize="hasRole('TEACHER')">Teacher</p>
                    <hr>
                    <a th:href="'/users/' + ${user.id}">Profile Details</a>
                    <p sec:authorize="hasRole('TEACHER')"><a th:href="@{/courses/new}">Create course</a></p>
                    <p sec:authorize="hasRole('TEACHER')"><a th:href="@{/solutions}">Assess solutions</a></p>
                </div>
                <div class="col-sm-9" sec:authorize="hasRole('USER')">
                    <h2>Enrolled Courses</h2>
                    <hr>
                    <h5>Ongoing</h5>
                    <div class="row mt-3">
                        <div class="col-sm-3" th:each="userCourse : ${enrolledCourses}">
                            <a th:href="'/courses/' + ${userCourse.course.id}"><img th:src="${userCourse.course.imagePath}" class="rounded img-fluid" style="height: 150px;"></a>
                            <p th:text="${userCourse.course.title}"></p>
                        </div>
                    </div>
                    <hr>
                    <h5>Completed</h5>
                    <div class="row mt-3">
                        <div class="col-sm-3" th:each="userCourse : ${completedCourses}">
                            <a th:href="'/courses/' + ${userCourse.course.id}"><img th:src="${userCourse.course.imagePath}" class="rounded img-fluid" style="height: 150px;"></a>
                            <p th:text="${userCourse.course.title}"></p>
                        </div>
                    </div>
                </div>
                <div class="col-sm-9" sec:authorize="hasRole('TEACHER')">
                    <p class="text-danger" th:if="${courseCreatedException}" th:text="${courseCreatedException}"></p>
                    <p class="text-success" th:if="${courseCreated}" th:text="${courseCreated}"></p>
                    <h2>My Courses</h2>
                    <hr>
                    <h4>Drafts</h4>
                    <div class="row mt-3">
                        <div class="col-sm-3" th:each="teacherCourse : ${draftCourses}">
                            <a th:href="'/courses/' + ${teacherCourse.id}"><img th:src="${teacherCourse.imagePath}" class="rounded img-fluid" style="height: 150px;"></a>
                            <p th:text="${teacherCourse.title}"></p>
                        </div>
                    </div>
                    <hr>
                    <h4>Ready</h4>
                    <div class="row mt-3">
                        <div class="col-sm-3" th:each="teacherCourse : ${readyCourses}">
                            <a th:href="'/courses/' + ${teacherCourse.id}"><img th:src="${teacherCourse.imagePath}" class="rounded img-fluid" style="height: 150px;"></a>
                            <p th:text="${teacherCourse.title}"></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>